<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Organisation extends Model
{
    use HasFactory;

    public function user() {
        return $this->belongsTo(User::class);
    }

    public function athletes() {
        return $this->belongsToMany(Athlete::class);
    }

    public function trainers() {
        return $this->belongsToMany(Trainer::class);
    }
}
